All pastes #1772997 Raw Edit

clueless

public text v1 · immutable
#1772997 ·published 2010-01-31 12:27 UTC
rendered paste body
#!/bin/shset +x## Check for needed pkges__DEPS="ruby curl zenity"for i in $__DEPS; do [[ "`which $i`" != "" ]] && continue || { echo -e "$i not found, please install" && exit 1;}done## Check for ompload itself_uploader=$(which ompload 2>/dev/null)[[ $_uploader ]] && continue || { zenity --error --text="$0: ompload not found, please download and install first.";exit 1;}## DoItzenity  --info --text="`$_uploader $@`"  100 125unset _uploader __DEPSexit $?